Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

When querying for lists of items, the responses will be paginated. The pagination will be represented in the links key of the response.
"links":{
  "self": "https://api.vantage.sh/v2/folders?page=2",
  "first": "https://api.vantage.sh/v2/folders?page=1",
  "next": "https://api.vantage.sh/v2/folders?page=3",
  "last": "https://api.vantage.sh/v2/folders?page=5",
  "prev": "https://api.vantage.sh/v2/folders?page=1"
}
FieldDescription
selfThe URL of the current page.
firstThe URL of the first page of items.
nextThe URL of the next page of items.
lastThe URL of the last page of items.
prevThe URL of the previous page of items.
The array of items will be available as a key that matches the name of the route. For instance, folders will have a top-level folders key.
{
  "links": {},
  "folders":[]
}
You can specify the page you want to access and the number of items per page by using the page and limit query parameters.
curl --request GET \
  --url https://api.vantage.sh/v2/folders?page=3&limit=10 \
  --header 'Accept: application/json'